Bug 111559 - Secret key file needs to be kept synchronized
Secret key file needs to be kept synchronized
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vadim Nasardinov
Jon Orris
:
Depends On:
Blocks: 102913
  Show dependency treegraph
 
Reported: 2003-12-05 09:20 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 16:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-12-05 09:20:58 EST
Description of problem:
Currently when loading up additional hosts in a JVM cluster, it is
common that the administrator forgets to copy the secret key file
across from the other hosts. Thus it is generated afresh upon startup
leading to mysterious problems with the user suddenly becoming logged
out (when they happen to get switched over to a different server in
the cluster). The secret key should be synchronnized across servers,
preferrably be storing it in the DB.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

See also bug 103295 which could be addressed at the same time for
minimal extra work.
Comment 1 Vadim Nasardinov 2004-01-16 15:06:16 EST
Fixed on the trunk with change 39030.

This lead to some changes in how we register security providers.
Updated the install guide to reflect the new way of doing
things in changes 39034 and 39115.

See bug #103295 for more details.

Note You need to log in before you can comment on or make changes to this bug.